volumes
List volumes
List volumes
GET
/
remotefs
/
v1
/
volumes
List volumes
curl --request GET \
--url https://mycluster.domino.tech/remotefs/v1/volumesimport requests
url = "https://mycluster.domino.tech/remotefs/v1/volumes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/remotefs/v1/volumes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"capacity": 123,
"createdAt": "<string>",
"createdBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"dataPlaneId": "<string>",
"filesystemId": "<string>",
"id": "<string>",
"maxSnapshots": 123,
"name": "<string>",
"numSnapshots": 123,
"path": "<string>",
"status": "Active",
"uniqueName": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"description": "<string>",
"filesystemName": "<string>",
"grants": [
{
"isOrganization": true,
"targetId": "<string>",
"targetName": "<string>",
"targetRole": "VolumeOwner"
}
],
"lastMountedTime": "<string>",
"projects": [
{
"addedAt": "<string>",
"addedBy": {
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"userName": "<string>"
},
"name": "<string>",
"projectId": "<string>",
"volumeId": "<string>"
}
],
"properties": [
{
"fields": [
{
"propertyId": "<string>",
"propertyLabel": "<string>",
"status": "<string>",
"type": "<string>",
"updatedAt": "<string>",
"updatedBy": {
"userID": "<string>",
"username": "<string>"
},
"value": "<string>"
}
],
"groupName": "<string>"
}
],
"storageSize": 123,
"taxonomyTags": [
{
"description": "<string>",
"fullPath": [
"<string>"
],
"id": "<string>",
"label": "<string>",
"namespaceId": "<string>",
"namespaceLabel": "<string>"
}
]
}
],
"meta": {
"filters": [
{
"key": "<string>",
"values": [
"<string>"
]
}
],
"order": "<string>",
"pagination": {
"limit": 123,
"offset": 123,
"totalCount": 123
},
"search": "<string>",
"sortBy": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Query Parameters
Limit
Offset
Order
Search
Sort by
Filter strictly by volume roles
Project ID
Data Plane ID
Status
Filter by taxonomy tag IDs (AND semantics)
Last modified on August 18, 2026
Related topics
List keys in a volumeList keys in a volume snapshotList accessible volume IDsView and edit NetApp VolumesWas this page helpful?
⌘I
List volumes
